echo off

CALL masmvars32.bat
SET FILE=Sample_StatDyn
: -------------------------------
: if resources exist, build them
: -------------------------------
if not exist rsrc.rc goto over1
Rc.exe /v rsrc.rc
Cvtres.exe /machine:ix86 rsrc.res
:over1

if exist %1.obj del Appender.obj
if exist %1.exe del Appender.exe

: -----------------------------------------
: assemble Appender.asm into an OBJ file
: -----------------------------------------
Ml.exe  %FILE%.asm
if errorlevel 1 goto errasm

if not exist rsrc.obj goto nores

: --------------------------------------------------
: link the main OBJ file with the resource OBJ file
: --------------------------------------------------
Link.exe /SUBSYSTEM:WINDOWS %FILE%.obj rsrc.obj
if errorlevel 1 goto errlink
GOTO FINLINK
:nores
Link.exe /SUBSYSTEM:WINDOWS %FILE%.obj

:FINLINK

dir %FILE%.*

goto TheEnd

:errlink
: ----------------------------------------------------
: display message if there is an error during linking
: ----------------------------------------------------
echo.
echo There has been an error while linking this project.
echo.
goto TheEnd

:errasm
: -----------------------------------------------------
: display message if there is an error during assembly
: -----------------------------------------------------
echo.
echo There has been an error while assembling this project.
echo.
goto TheEnd

:TheEnd
pause
